#
# Makefile for Linux arch/m68k/amiga source directory
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

.c.s:
	$(CC) $(CFLAGS) -S $<
.c.o:
	$(CC) $(CFLAGS) -c $<
.s.o:
	$(AS) -o $*.o $<

OBJS	= config.o amikeyb.o amiints.o amipart.o chipram.o amisound.o amifb.o \
          zorro.o

SYMTAB_OBJS = amiksyms.o

ifdef CONFIG_FB_CYBER
OBJS := $(OBJS) cyberfb.o
endif

all: amiga.o

include ../../../versions.mk

amiga.o: $(SYMTAB_OBJS) $(OBJS)
	$(LD) -r -o amiga.o $(SYMTAB_OBJS) $(OBJS)
	sync

clean:
	$(RM) $(RMFLAGS) *.o *.a

dep:
	$(CPP) -M *.c > .depend

modules:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
